package com.ruoyi.benyun;

import com.ruoyi.benyun.constant.RedisContant;
import com.ruoyi.benyun.mapper.WdInfoDao;
import com.ruoyi.benyun.service.WriteService;
import com.ruoyi.benyun.utils.WdRedisStoreage;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@SpringBootTest
class BenyunCoreApplicationTests {
    @Autowired
    WdRedisStoreage wdRedisStoreage;

    @Autowired
    WdInfoDao wdInfoDao;

    @Autowired
    WriteService writeService;

    @Test
    void contextLoads() {
        ArrayList<String> list = new ArrayList<>();
        list.add(RedisContant.WD_TAG+"_"+"00003743d4b047aab0e8ab9481225fbf");
        list.add(RedisContant.WD_TAG+"_"+"000040593b0e4c7f82b798d30604f350");
        list.add(RedisContant.WD_TAG+"_"+"0000f8d2a49043cf8e4525241faf5fb9");
        List<List<String>> wdTagList = wdRedisStoreage.getWdTagList(list);
        System.out.println(wdTagList);

        //List<String> wdTag = wdRedisStoreage.getWdTag(null);
    }


}
