package com.ruoyi.benyun.utils.statistics;

import com.ruoyi.benyun.entity.BrandZone;
import com.ruoyi.benyun.mapper.BrandZoneDao;
import com.ruoyi.benyun.mapper.StoreDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.List;
import java.util.UUID;

@Component
public class BrandZoneStat {
    @Autowired
    StoreDao storeDao;
    @Autowired
    BrandZoneDao brandZoneDao;

    public void continueQuicklyInsert(){
        List<String> notIns = brandZoneDao.searchStatedBrandIds(null);
        System.out.println("已经处理：" + notIns.size() + "个品牌");
        List<BrandZone> zones = brandZoneDao.searchQuicklyStatistics(notIns);
        int total = zones.size();
        int i = 0;
        for (BrandZone zone : zones) {
            zone.setDisId(UUID.randomUUID().toString().replace("-",""));
            zone.setUpdateTime(LocalDateTime.now(ZoneId.of("Asia/Shanghai")));
            i += brandZoneDao.insert(zone);
            System.out.println(i+"/"+total);
        }
    }
}
