package com.ruoyi.demo.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import com.ruoyi.demo.entity.AttentionPoolStatistics;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class AttentionPoolStatisticsBo implements Serializable {
    private Integer attentionCount;
    private Integer clueCount;
    private Integer onlineCount;
    private Integer offlineCount;
    private String time;

    public AttentionPoolStatisticsBo () {}
    public AttentionPoolStatisticsBo (AttentionPoolStatistics statistics) {
        this.attentionCount = statistics.getAttentionCount();
        this.clueCount = statistics.getClueCount();
        this.onlineCount = statistics.getOnlineCount();
        this.offlineCount = statistics.getOfflineCount();
        this.time = statistics.getStatTime().toString();
    }
}
